Bug 241448 - [Shadow Realms] Hide exposed web APIs via feature flag
Summary: [Shadow Realms] Hide exposed web APIs via feature flag
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Caitlin Potter (:caitp)
URL:
Keywords: InRadar
Depends on:
Blocks: 230602
  Show dependency treegraph
 
Reported: 2022-06-08 21:28 PDT by Caitlin Potter (:caitp)
Modified: 2022-06-10 12:03 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Caitlin Potter (:caitp) 2022-06-08 21:28:58 PDT
The apis exposed to ShadowRealm via the [Exposed=*] extended attribute are not yet fully agreed upon. It may be worth hiding them behind a feature flag in the mean time, while still shipping what major stakeholders are interested in.
Comment 1 Caitlin Potter (:caitp) 2022-06-09 13:12:56 PDT
Patch is on https://github.com/WebKit/WebKit/pull/1382
Comment 2 EWS 2022-06-10 12:02:26 PDT
Committed r295459 (251465@main): <https://commits.webkit.org/251465@main>

Reviewed commits have been landed. Closing PR #1382 and removing active labels.
Comment 3 Radar WebKit Bug Importer 2022-06-10 12:03:16 PDT
<rdar://problem/94830589>